Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 153312

Summary: Gaim remote DoS issues
Product: [Fedora] Fedora Reporter: Josh Bressers <bressers>
Component: gaimAssignee: Warren Togami <wtogami>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: medium    
Version: 3CC: eblanton, lschiere+bugs, mark, stu, wtogami
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=important,public=20050401,reported=bugtraq,reported=20050401
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2005-04-08 06:05:42 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Josh Bressers 2005-04-04 18:32:26 UTC
+++ This bug was initially created as a clone of Bug #153311 +++

Two Gaim DoS issues were reported to bugtraq:
http://www.securityfocus.com/archive/1/394806/2005-04-01/2005-04-07/0

1. Buffer overread in gaim_markup_strip_html()

A programming error in gaim_markup_strip_html() causes a buffer
overread when stripping a string containing malformed HTML.

2. Lack of escaping in the IRC protocol plugin

In several places, the IRC protocol plugin handles user messages
without escaping markup

Comment 1 Josh Bressers 2005-04-04 18:33:22 UTC
This issue should also affect FC2